<template>
  <v-app-bar absolute app>
    <v-app-bar-nav-icon class="d-md-none" @click="$emit('toggleDrawer')" />
    <v-toolbar-title class="d-md-none">Racing Club Sabre</v-toolbar-title>
    <v-toolbar-items class="d-none d-md-flex">
      <appbar-nav-button v-for="(page, i) in pages" :page="page" :key="i" />
    </v-toolbar-items>
    <v-toolbar-items class="d-none d-md-flex ml-auto">
      <appbar-nav-button
        v-for="(page, i) in pages_right"
        :page="page"
        :key="i"
      />
    </v-toolbar-items>
  </v-app-bar>
</template>

<script>
import AppbarNavButton from '~/components/AppbarNavButton'

export default {
  components: {
    AppbarNavButton,
  },

  props: {
    pages: {
      type: Array,
      required: true,
    },

    pages_right: {
      type: Array,
      required: true,
    },
  },
}
</script>
